libwpd: WPXListener Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WPXListener Class Reference

`#include <WPXListener.h>`

Inheritance diagram for WPXListener:

List of all members.

## Public Member Functions
| WPXListener (std::vector< WPXPageSpan * > *pageList, WPXHLListenerImpl *listenerImpl)
virtual | ~WPXListener ()
virtual void | startDocument ()
void | handleSubDocument (const WPXSubDocument *subDocument, const bool isHeaderFooter, WPXTableList tableList, int nextTableIndice)
| Creates an new document state.
virtual void | insertBreak (const uint8_t breakType)
virtual void | lineSpacingChange (const float lineSpacing)
virtual void | justificationChange (const uint8_t justification)
virtual void | setAlignmentCharacter (const uint16_t character)=0
virtual void | setLeaderCharacter (const uint16_t character, const uint8_t numberOfSpaces)=0
virtual void | defineTabStops (const bool isRelative, const std::vector< WPXTabStop > &tabStops, const std::vector< bool > &usePreWP9LeaderMethods)=0
virtual void | insertCharacter (const uint16_t character)=0
virtual void | insertTab (const uint8_t tabType, const float tabPosition)=0
virtual void | handleLineBreak ()=0
virtual void | insertEOL ()=0
virtual void | attributeChange (const bool isOn, const uint8_t attribute)=0
virtual void | spacingAfterParagraphChange (const float spacingRelative, const float spacingAbsolute)=0
virtual void | pageMarginChange (const uint8_t side, const uint16_t margin)=0
virtual void | pageFormChange (const uint16_t length, const uint16_t width, const WPXFormOrientation orientation, const bool isPersistent)=0
virtual void | marginChange (const uint8_t side, const uint16_t margin)=0
virtual void | paragraphMarginChange (const uint8_t side, const int16_t margin)=0
virtual void | indentFirstLineChange (const int16_t offset)=0
virtual void | columnChange (const WPXTextColumnType columnType, const uint8_t numColumns, const std::vector< float > &columnWidth, const std::vector< bool > &isFixedWidth)=0
virtual void | endDocument ()=0
virtual void | defineTable (const uint8_t position, const uint16_t leftOffset)=0
virtual void | addTableColumnDefinition (const uint32_t width, const uint32_t leftGutter, const uint32_t rightGutter, const uint32_t attributes, const uint8_t alignment)=0
virtual void | startTable ()=0
virtual void | endTable ()=0
## Public Attributes
WPXParsingState * | m_ps
WPXHLListenerImpl * | m_listenerImpl
WPXPropertyList | m_metaData
std::vector< WPXPageSpan * > * | m_pageList
## Protected Member Functions
virtual void | _handleSubDocument (const WPXSubDocument *subDocument, const bool isHeaderFooter, WPXTableList tableList, int nextTableIndice)=0
virtual void | _flushText ()=0
virtual void | _changeList ()=0
void | _openSection ()
void | _closeSection ()
void | _openPageSpan ()
void | _closePageSpan ()
virtual void | _appendParagraphProperties (WPXPropertyList &propList, const bool isListElement=false)
virtual void | _getTabStops (WPXPropertyListVector &tabStops)
virtual void | _appendJustification (WPXPropertyList &propList, int justification)
virtual void | _resetParagraphState (const bool isListElement=false)
virtual void | _openParagraph ()
void | _closeParagraph ()
void | _openListElement ()
void | _closeListElement ()
void | _openSpan ()
void | _closeSpan ()
void | _openTable ()
void | _closeTable ()
void | _openTableRow (const float height, const bool isMinimumHeight, const bool isHeaderRow)
void | _closeTableRow ()
void | _openTableCell (const uint8_t colSpan, const uint8_t rowSpan, const uint8_t borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment)
void | _closeTableCell ()
bool | isUndoOn ()
## Protected Attributes
bool | m_isUndoOn
## Private Member Functions
WPXString | _colorToString (const RGBSColor *color)
WPXString | _mergeColorsToString (const RGBSColor *fgColor, const RGBSColor *bgColor)

## Constructor & Destructor Documentation

WPXListener::WPXListener | ( | std::vector< WPXPageSpan * > * | pageList,
|  | WPXHLListenerImpl * | listenerImpl
| ) |

WPXListener::~WPXListener | ( |  | ) | `[virtual]`

## Member Function Documentation

void WPXListener::_appendJustification | ( | WPXPropertyList & | propList,
|  | int | justification
| ) | `[protected, virtual]`

void WPXListener::_appendParagraphProperties | ( | WPXPropertyList & | propList,
|  | const bool | isListElement = `false`
| ) | `[protected, virtual]`

virtual void WPXListener::_changeList | ( |  | ) | `[protected, pure virtual]`

| Implemented in WP3Listener, WP42Listener, WP5Listener, WP6ContentListener, and WP6StylesListener.

void WPXListener::_closeListElement | ( |  | ) | `[protected]`

void WPXListener::_closePageSpan | ( |  | ) | `[protected]`

void WPXListener::_closeParagraph | ( |  | ) | `[protected]`

void WPXListener::_closeSection | ( |  | ) | `[protected]`

void WPXListener::_closeSpan | ( |  | ) | `[protected]`

void WPXListener::_closeTable | ( |  | ) | `[protected]`

void WPXListener::_closeTableCell | ( |  | ) | `[protected]`

void WPXListener::_closeTableRow | ( |  | ) | `[protected]`

WPXString WPXListener::_colorToString | ( | const RGBSColor * | color | ) | `[private]`

virtual void WPXListener::_flushText | ( |  | ) | `[protected, pure virtual]`

| Implemented in WP3Listener, WP42Listener, WP5Listener, WP6ContentListener, and WP6StylesListener.

void WPXListener::_getTabStops | ( | WPXPropertyListVector & | tabStops | ) | `[protected, virtual]`

virtual void WPXListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | const bool | isHeaderFooter,
|  | WPXTableList | tableList,
|  | int | nextTableIndice
| ) | `[protected, pure virtual]`

| Implemented in WP3Listener, WP42Listener, WP42StylesListener, WP5Listener, WP6ContentListener, and WP6StylesListener.

WPXString WPXListener::_mergeColorsToString | ( | const RGBSColor * | fgColor,
|  | const RGBSColor * | bgColor
| ) | `[private]`

void WPXListener::_openListElement | ( |  | ) | `[protected]`

void WPXListener::_openPageSpan | ( |  | ) | `[protected]`

| Reimplemented in WP3StylesListener, WP42StylesListener, WP5StylesListener, and WP6StylesListener.

void WPXListener::_openParagraph | ( |  | ) | `[protected, virtual]`

| Reimplemented in WP3Listener, and WP6StylesListener.

void WPXListener::_openSection | ( |  | ) | `[protected]`

void WPXListener::_openSpan | ( |  | ) | `[protected]`

void WPXListener::_openTable | ( |  | ) | `[protected]`

void WPXListener::_openTableCell | ( | const uint8_t | colSpan,
|  | const uint8_t | rowSpan,
|  | const uint8_t | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | const WPXVerticalAlignment | cellVerticalAlignment
| ) | `[protected]`

void WPXListener::_openTableRow | ( | const float | height,
|  | const bool | isMinimumHeight,
|  | const bool | isHeaderRow
| ) | `[protected]`

void WPXListener::_resetParagraphState | ( | const bool | isListElement = `false` | ) | `[protected, virtual]`

virtual void WPXListener::addTableColumnDefinition | ( | const uint32_t | width,
|  | const uint32_t | leftGutter,
|  | const uint32_t | rightGutter,
|  | const uint32_t | attributes,
|  | const uint8_t | alignment
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::attributeChange | ( | const bool | isOn,
|  | const uint8_t | attribute
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::columnChange | ( | const WPXTextColumnType | columnType,
|  | const uint8_t | numColumns,
|  | const std::vector< float > & | columnWidth,
|  | const std::vector< bool > & | isFixedWidth
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::defineTable | ( | const uint8_t | position,
|  | const uint16_t | leftOffset
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::defineTabStops | ( | const bool | isRelative,
|  | const std::vector< WPXTabStop > & | tabStops,
|  | const std::vector< bool > & | usePreWP9LeaderMethods
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::endDocument | ( |  | ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::endTable | ( |  | ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::handleLineBreak | ( |  | ) | `[pure virtual]`

| Implemented in WP3Listener, WP42Listener, WP5Listener, WP6ContentListener, and WP6StylesListener.

void WPXListener::handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | const bool | isHeaderFooter,
|  | WPXTableList | tableList,
|  | int | nextTableIndice
| ) |

| Creates an new document state. Saves the old state on a "stack".

virtual void WPXListener::indentFirstLineChange | ( | const int16_t | offset | ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

void WPXListener::insertBreak | ( | const uint8_t | breakType | ) | `[virtual]`

| Reimplemented in WP3StylesListener, WP42StylesListener, WP5StylesListener, and WP6StylesListener.

virtual void WPXListener::insertCharacter | ( | const uint16_t | character | ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::insertEOL | ( |  | ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::insertTab | ( | const uint8_t | tabType,
|  | const float | tabPosition
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP42Listener, WP42StylesListener, WP5Listener, WP6ContentListener, and WP6StylesListener.

bool WPXListener::isUndoOn | ( |  | ) | `[inline, protected]`

void WPXListener::justificationChange | ( | const uint8_t | justification | ) | `[virtual]`

| Reimplemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5StylesListener, and WP6StylesListener.

void WPXListener::lineSpacingChange | ( | const float | lineSpacing | ) | `[virtual]`

| Reimplemented in WP3StylesListener, WP42Listener, WP42StylesListener, WP5StylesListener, and WP6StylesListener.

virtual void WPXListener::marginChange | ( | const uint8_t | side,
|  | const uint16_t | margin
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::pageFormChange | ( | const uint16_t | length,
|  | const uint16_t | width,
|  | const WPXFormOrientation | orientation,
|  | const bool | isPersistent
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::pageMarginChange | ( | const uint8_t | side,
|  | const uint16_t | margin
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::paragraphMarginChange | ( | const uint8_t | side,
|  | const int16_t | margin
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::setAlignmentCharacter | ( | const uint16_t | character | ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::setLeaderCharacter | ( | const uint16_t | character,
|  | const uint8_t | numberOfSpaces
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

virtual void WPXListener::spacingAfterParagraphChange | ( | const float | spacingRelative,
|  | const float | spacingAbsolute
| ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

void WPXListener::startDocument | ( |  | ) | `[virtual]`

| Reimplemented in WP3StylesListener, WP42StylesListener, WP5StylesListener, and WP6StylesListener.

virtual void WPXListener::startTable | ( |  | ) | `[pure virtual]`

| Implemented in WP3Listener, WP3StylesListener, WP42Listener, WP42StylesListener, WP5Listener, WP5StylesListener, WP6ContentListener, and WP6StylesListener.

## Member Data Documentation

bool WPXListener::m_isUndoOn`[protected]`

WPXHLListenerImpl* WPXListener::m_listenerImpl

WPXPropertyList WPXListener::m_metaData

std::vector<WPXPageSpan *>* WPXListener::m_pageList

WPXParsingState* WPXListener::m_ps

The documentation for this class was generated from the following files:

- WPXListener.h
- WPXListener.cpp